import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiFlipgroupCreateResultModel(_base.BaseAPIResultModel):
    default_gw: str
    id: int
    ip_addr: str
    name: str
    net_prefix: int


class CloudapiFlipgroupCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        account_id: int,
        name: str,
        net_id: int,
        net_type: _nested.FlipGroupNetType,
        description: str | None = None,
        ip_addr: str | None = None,
    ) -> CloudapiFlipgroupCreateResultModel:
        ...
